summaryrefslogtreecommitdiffstats
path: root/Doc/tools
diff options
context:
space:
mode:
authorFred Drake <fdrake@acm.org>1999-04-14 05:02:06 (GMT)
committerFred Drake <fdrake@acm.org>1999-04-14 05:02:06 (GMT)
commit79d41ccdd39d766e1f7cc5ccd208fdacd9dd0a04 (patch)
tree605f80e3700eaa1883da1318127e8945e9c9b129 /Doc/tools
parent7a64b355c1ee12cb78e3afba4b0c0577a1a266c5 (diff)
downloadcpython-79d41ccdd39d766e1f7cc5ccd208fdacd9dd0a04.zip
cpython-79d41ccdd39d766e1f7cc5ccd208fdacd9dd0a04.tar.gz
cpython-79d41ccdd39d766e1f7cc5ccd208fdacd9dd0a04.tar.bz2
Add some support for the module index, so this can be used to build
the .aux file for any of the "manual" class documents.
Diffstat (limited to 'Doc/tools')
-rwxr-xr-xDoc/tools/mkdvi.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/Doc/tools/mkdvi.sh b/Doc/tools/mkdvi.sh
index 673a969..2d1c7f3 100755
--- a/Doc/tools/mkdvi.sh
+++ b/Doc/tools/mkdvi.sh
@@ -39,8 +39,14 @@ export TEXINPUTS
echo $srcdir'/tools/newind.py >'$part'.ind'
$srcdir/tools/newind.py >$part.ind || exit $?
+echo $srcdir'/tools/newind.py modindex >mod'$part'.ind'
+$srcdir/tools/newind.py modindex >mod$part.ind || exit $?
echo "$latex $part"
$latex $part || exit $?
+if [ ! -f mod$part.idx ] ; then
+ echo "Not using module index; removing mod$part.ind"
+ rm mod$part.ind
+fi
if [ "$aux" ] ; then
# make sure the .dvi isn't interpreted as useful:
rm $part.dvi
@@ -55,6 +61,13 @@ else
# skipping the index; clean up the unused file
rm -f $part.ind
fi
+ if [ -f mod$part.idx ] ; then
+ # using the index
+ echo $srcdir'/tools/fix_hack mod'$part'.idx'
+ $srcdir/tools/fix_hack mod$part.idx || exit $?
+ echo 'makeindex -s '$srcdir'/texinputs/python.ist mod'$part'.idx'
+ makeindex -s $srcdir/texinputs/python.ist mod$part.idx || exit $?
+ fi
if [ "$pdf" ] ; then
echo $srcdir'/tools/toc2bkm.py '$part
$srcdir/tools/toc2bkm.py $part